/****************************************************************************
**
** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
** All rights reserved.
** Contact: Nokia Corporation (directui@nokia.com)
**
** This file is part of meegotouchhome-nokia.
**
** If you have questions regarding the use of this file, please contact
** Nokia at directui@nokia.com.
**
****************************************************************************/

#ifndef EVENTSEXTENSIONINTERFACE_H
#define EVENTSEXTENSIONINTERFACE_H

#include <QObject>
#include <MApplicationExtensionInterface>

/**
 * EventsExtensionInterface is the event extension interface class.
 *
 * Extension developers need to implement this interface in their extension binary
 * and export their implementation from the binary. The host application will maintain
 * an inventory of available extensions and instantiate them using this interface
 * when needed.
 */
class EventsExtensionInterface : public MApplicationExtensionInterface
{
public:
    /*!
     * Destructor.
     */
    virtual ~EventsExtensionInterface() {}
};

Q_DECLARE_INTERFACE(EventsExtensionInterface, "com.nokia.home.EventsExtensionInterface/1.0")

#endif // EVENTSEXTENSIONINTERFACE_H
